package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.TeacherAuthMusicianRecord;
import com.yonge.cooleshow.biz.dal.enums.GenderEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 13:34
 */
@ApiModel(value = "MusicianAuthEntryRecordVo对象", description = "音乐人审核详情")
public class MusicianAuthEntryRecordVo extends TeacherAuthMusicianRecord {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "真实姓名")
    private String realName;

    @ApiModelProperty(value = "身份证号")
    private String idCardNo;

    @ApiModelProperty(value = "性别 0女 1男")
    private GenderEnum gender;

    @ApiModelProperty("手机号 ")
    private String phone;

    @ApiModelProperty(value = "专业技能")
    private String subjectName;

    @ApiModelProperty("审核人 ")
    private String verifyUser;

    /**
     * 专业技能（支持多个，用逗号分隔），对应乐器表id
     */
    @ApiModelProperty("专业技能（支持多个，用逗号分隔），对应乐器表id ")
    private String subjectId;
    /**
     * 个人介绍
     */
    @ApiModelProperty("个人介绍 ")
    private String introduction;
    /**
     * 毕业学校
     */
    @ApiModelProperty("毕业学校 ")
    private String graduateSchool;
    /**
     * 学校专业
     */
    @ApiModelProperty("学校专业 ")
    private String subject;
    /**
     * 毕业证书
     */
    @ApiModelProperty("毕业证书 ")
    private String gradCertificate;
    /**
     * 学位证书
     */
    @ApiModelProperty("学位证书 ")
    private String degreeCertificate;
    /**
     * 教师资格证
     */
    @ApiModelProperty("教师资格证 ")
    private String teacherCertificate;

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getVerifyUser() {
        return verifyUser;
    }

    public void setVerifyUser(String verifyUser) {
        this.verifyUser = verifyUser;
    }

    public GenderEnum getGender() {
        return gender;
    }

    public void setGender(Object gender) {
        if(gender instanceof GenderEnum ){
            this.gender = (GenderEnum) gender;
        }else if (null != gender) {
            this.gender = GenderEnum.valueOf(Integer.parseInt(gender.toString()));
        }
    }

    

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getGraduateSchool() {
        return graduateSchool;
    }

    public void setGraduateSchool(String graduateSchool) {
        this.graduateSchool = graduateSchool;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGradCertificate() {
        return gradCertificate;
    }

    public void setGradCertificate(String gradCertificate) {
        this.gradCertificate = gradCertificate;
    }

    public String getDegreeCertificate() {
        return degreeCertificate;
    }

    public void setDegreeCertificate(String degreeCertificate) {
        this.degreeCertificate = degreeCertificate;
    }

    public String getTeacherCertificate() {
        return teacherCertificate;
    }

    public void setTeacherCertificate(String teacherCertificate) {
        this.teacherCertificate = teacherCertificate;
    }
}
